BizKitHub
DocsAPI ReferenceTerminal/bff/terminal/suggest
getTerminalAdmin BFF

/bff/terminal/suggest

Get autocomplete suggestions

TerminalgetBffTerminalSuggest

Parameters

2 query

Query parameters

· 2
inputstringRequired

Current input text in the terminal

Examplels -
cursorstringRequired

Cursor position index within the input

Example4

Response schema

1 status code documented

200Success
suggestionsobject[]Required

Matching autocomplete suggestions

Each array item:
valuestringRequired

Value to insert on completion

labelstringRequired

Display label for the suggestion

type"command" | "subcommand" | "param" | "flag" | "value" | "path"Required

Category of the suggestion

descriptionstringOptional

Short help text for the suggestion

completionsstring[]Optional

Additional completion variants

contextobjectRequired

Parsed context of the input

commandstringOptional

Detected command name

subcommandstringOptional

Detected subcommand name

currentTokenstringRequired

Token currently being typed

Response example

application/json
{
  "suggestions": [
    {
      "value": "example_value",
      "label": "example_label",
      "description": "example_description",
      "completions": [
        "string"
      ]
    }
  ],
  "context": {
    "command": "example_command",
    "subcommand": "example_subcommand",
    "currentToken": "example_currentToken"
  }
}

Request example

GET /bff/terminal/suggest

get
curl -X GET "https://api.bizkithub.com/bff/terminal/suggest?input=ls%20-&cursor=4" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key